## matanza 0.13

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/matanza
pkglibdir = $(libdir)/matanza
pkgincludedir = $(includedir)/matanza

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
LN_S = ln -s
MAKEINFO = makeinfo
PACKAGE = matanza
VERSION = 0.13

bin_PROGRAMS = matanza matanza-ai

matanza_ai_SOURCES =          ai.c            	getopt.h        	getopt.c        	getopt1.c


EXTRA_matanza_ai_SOURCES =          mmp.h


matanza_SOURCES =  	matanza.c       	getopt.h        	getopt.c        	getopt1.c               xmlparse.h xmlrole.h xmltok.h         xmlparse.c xmlrole.c xmltok.c         xmldef.h ascii.h asciitab.h iasciitab.h latin1tab.h nametab.h utf8tab.h


BUILT_SOURCES =  	matanza.c               ai.c


EXTRA_matanza_SOURCES =  	shipreal.c              mmp.h                   winconfig.h             xmltok_impl.c           xmltok_impl.h           xmltok_ns.c


EXTRA_DIST =   	matanza.w               ai.w                    TODO                    ship.txt                shiptank.txt            matanza.xml             maze.png

ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I.
CPPFLAGS = 
LDFLAGS = 
LIBS = -lnsl -lm 
matanza_OBJECTS =  matanza.o getopt.o getopt1.o xmlparse.o xmlrole.o \
xmltok.o
matanza_LDADD = $(LDADD)
matanza_DEPENDENCIES = 
matanza_LDFLAGS = 
matanza_ai_OBJECTS =  ai.o getopt.o getopt1.o
matanza_ai_LDADD = $(LDADD)
matanza_ai_DEPENDENCIES = 
matanza_ai_LDFLAGS = 
CFLAGS = -DMATANZA_ASSERT=1 -DMATANZA_VERBOSE=1 -DXML_MIN_SIZE
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
Makefile.am Makefile.in NEWS TODO acconfig.h aclocal.m4 config.h.in \
configure configure.in install-sh missing mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(matanza_SOURCES) $(EXTRA_matanza_SOURCES) $(matanza_ai_SOURCES) $(EXTRA_matanza_ai_SOURCES)
OBJECTS = $(matanza_OBJECTS) $(matanza_ai_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

config.h: stamp-h
	@if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h 2> /dev/null
$(srcdir)/config.h.in: $(srcdir)/stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h.in; \
		$(MAKE) $(srcdir)/stamp-h.in; \
	else :; fi
$(srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) acconfig.h
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h.in 2> /dev/null

mostlyclean-hdr:

clean-hdr:

distclean-hdr:
	-rm -f config.h

maintainer-clean-hdr:

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

matanza: $(matanza_OBJECTS) $(matanza_DEPENDENCIES)
	@rm -f matanza
	$(LINK) $(matanza_LDFLAGS) $(matanza_OBJECTS) $(matanza_LDADD) $(LIBS)

matanza-ai: $(matanza_ai_OBJECTS) $(matanza_ai_DEPENDENCIES)
	@rm -f matanza-ai
	$(LINK) $(matanza_ai_LDFLAGS) $(matanza_ai_OBJECTS) $(matanza_ai_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
ai.o: ai.c config.h getopt.h shipreal.c mmp.h
matanza.o: matanza.c config.h getopt.h xmlparse.h shipreal.c mmp.h
xmlparse.o: xmlparse.c xmldef.h xmlparse.h xmltok.h xmlrole.h
xmlrole.o: xmlrole.c xmldef.h xmlrole.h xmltok.h ascii.h
xmltok.o: xmltok.c xmldef.h xmltok.h nametab.h xmltok_impl.h ascii.h \
	xmltok_impl.c asciitab.h utf8tab.h iasciitab.h latin1tab.h \
	xmltok_ns.c

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
all-recursive-am: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) config.h
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-hdr mostlyclean-binPROGRAMS \
		mostlyclean-compile mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-hdr clean-binPROGRAMS clean-compile clean-tags \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-hdr distclean-binPROGRAMS distclean-compile \
		distclean-tags distclean-generic clean-am

distclean: distclean-am
	-rm -f config.status

maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am
	-rm -f config.status

.PHONY: mostlyclean-hdr distclean-hdr clean-hdr maintainer-clean-hdr \
mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck all-recursive-am install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


matanza.c:      matanza.w
	ctangle matanza.w

ai.c:		ai.w
	ctangle ai.w

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## matanza 0.13%2Bds1

=== debian/control ===
Source: matanza
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Peter Pentchev <roam@ringlet.net>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libpng-dev,
               texlive-extra-utils
Standards-Version: 4.1.3
Homepage: https://web.archive.org/web/20071226080243/http://bachue.com/matanza/
Vcs-Git: https://salsa.debian.org/games-team/matanza.git
Vcs-Browser: https://salsa.debian.org/games-team/matanza

Package: matanza
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: telnet | telnet-ssl | inetutils-telnet | putty | telnet-client
Description: Space ascii war game
 Matanza is a multiplayer game.  In it, every player controls a ship cruising
 in space, aiming to destroy the other players (and, eventually, ships
 controlled by the computer).

## matanza 0.13%2Bds2

=== debian/changelog ===
matanza (0.13+ds2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:54:40 +1100

matanza (0.13+ds2-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:20:55 +0000

matanza (0.13+ds2-1) unstable; urgency=medium

  * Team upload.
  * Repack tarball with sources for deleting of extra debian/ directory.
  * Bump Standards-Version to 4.4.0 (was 4.1.3).
  * Fix cross build from sources. (Closes: #929441)
    [Thanks to Helmut Grohne]
  * Cosmetic changes in debian/rules.
  * Cosmetic changes in debian/copyright.
  * Delete debian/source/options: fixes lintian warnings:
    debian-source-options-has-custom-compression-settings.
  * Add Files-Excluded and Comment fields to debian/copyright:
    fixes lintian notes: missing-explanation-for-repacked-upstream-tarball.
  * Fix lintian notes: file-contains-trailing-whitespace.

 -- Boris Pek <tehnick@debian.org>  Wed, 28 Aug 2019 00:09:15 +0300

matanza (0.13+ds1-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.3 (was 3.9.4).
  * Update debian/control:
    - update using wrap-and-sort tool
    - update Homepage URL (http --> https)
    - update Vcs-* fields: moved from Alioth to Salsa
    - delete dpkg-dev from build dependencies
    - fix spelling error in package description
    - change package Priority from extra to optional
  * Fix spelling error in manpage.
  * Update years and Format URL in debian/copyright.
  * Delete trailing whitespaces in debian/changelog.
  * Delete menu file.

 -- Boris Pek <tehnick@debian.org>  Thu, 08 Feb 2018 17:52:15 +0300

matanza (0.13+ds1-5) unstable; urgency=low

  * Team upload.
  * Add new icons, a desktop file and a menu file to improve matanza's
    desktop-integration. (Closes: #726815)
  * Bump compat level to 9 and require debhelper >= 9.
  * Use section 6 for man pages because matanza is a game.
  * Update debian/control using wrap-and-sort tool.
  * Update debian/copyright.

 -- Markus Koschany <apo@gambaru.de>  Tue, 22 Oct 2013 17:47:13 +0300

matanza (0.13+ds1-4) unstable; urgency=low

  * Team upload.
  * Move package to unstable: no changes required.
  * Update Vcs-* fields: fix lintian notes vcs-field-not-canonical.

 -- Boris Pek <tehnick@debian.org>  Sun, 11 Aug 2013 14:10:25 +0300

matanza (0.13+ds1-3) experimental; urgency=low

  * Team upload.
  * Bump Standards-Version to 3.9.4 (was 3.9.1).
  * Update debian/copyright in according to Copyright format 1.0.
  * Add patch debian/patches/04-format.patch:
    fix FTBFS with GCC >= 4.7 and hardening compiler options.
    (Closes: #675295)
  * Add patch debian/patches/05-fix-build-with-libpng1.5.patch:
    fix build with libpng >= 1.5. (Closes: #636984)
  * Update debian/control:
    - changed build dependency from libpng12-dev to libpng-dev
      (Closes: #662427)
    - updated Homepage field

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 17 Dec 2012 22:39:49 +0200

matanza (0.13+ds1-2) experimental; urgency=low

  * New maintainer.  Closes: #442045
  * Use quilt for patch management.
  * Fix a typo in the Debian-supplied manual page and another one in
    the main matanza.w source.
  * Convert to the 3.0 (quilt) source format with bzip2 compression.
  * Refer to the GPL-2 file instead of the GPL symlink.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Convert the copyright file to the DEP 5 format and add my notice.
  * Add the Vcs-Git and Vcs-Browser source control fields.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain CPPFLAGS, CFLAGS
    and LDFLAGS.
  * Bump the debhelper compatibility version to 8 and minimize the rules
    file using the dh(1) helper and debhelper override targets.
  * Add the 03-cppcheck patch to suppress a cppcheck false positive.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 09 Jan 2011 18:12:09 +0200

matanza (0.13+ds1-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to QA group.
    + Acknowledge NMUs. (Closes: #383733, #340496)
  * Repack tar ball without all generated files. (Closes: #490600)
  * Disable watch file since upstream homepage seems to
    be gone. (Closes: #462828)
  * Move Homepage to dedicated field.
  * Fix some manpage formatting errors.
  * Some debian/rules cleanup.
  * Fix "array subscript is above array bounds" warning.
  * Fix definition of VERBOSE macro to avoid a huge number of
    compiler warnings.

 -- Frank Lichtenheld <djpig@debian.org>  Wed, 30 Jul 2008 16:26:26 +0200

matanza (0.13-3.4) unstable; urgency=low

  * Non-maintainer upload
  * Updated build depends due to texlive transition (Closes: #421204)

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Fri, 18 May 2007 23:12:46 +0200

matanza (0.13-3.3) unstable; urgency=high

  * NMU.
  * Remove i386 .o files (shipped in orig.tar.gz) in clean target.
    closes: #384566.

 -- Clint Adams <schizo@debian.org>  Thu, 14 Sep 2006 23:23:47 -0400

matanza (0.13-3.2) unstable; urgency=low

  * Non-maintainer upload fixing lots of bugs (Closes: #335274)
  * Use debhelper compatability version 5
  * Revamp and modernize debian/rules, uses debhelper more
  * Add homepage to the long description
  * Update the manual page and refer users to the README (Closes: #340496)
  * Move binaries to /usr/games
  * Bump Standards-Version
  * Make sure to rebuild matanza.c and ai.c (build-dep on tetex-bin)
  * Build-depend on libpng12-dev
  * Update copyright information, including FSF address
  * Recommend the virtual package telnet-client as well
  * Install NEWS/TODO and the example ships, map and config
  * Use $(MAKE) instead of make

 -- Paul Wise <pabs3@bonedaddy.net>  Mon, 24 Apr 2006 12:28:41 +0800

matanza (0.13-3.1) unstable; urgency=low

  * NMU
  * Rebuild with libpng dependancies updated (Closes: #328352)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 29 Oct 2005 17:54:26 +1000

matanza (0.13-3) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -Wall
export CC CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@

# Note: this could be simplified even further using --with autotools_dev,
# but it would require another repacking to bring back config.{guess,sub} :)
#
override_dh_auto_configure:
	cp -f /usr/share/misc/config.sub .
	cp -f /usr/share/misc/config.guess .
	dh_auto_configure -- --bindir=/usr/games

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"

## matanza 0.13+ds1

=== debian/control ===
Source: matanza
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Peter Pentchev <roam@ringlet.net>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 dpkg-dev (>= 1.15.7~),
 libpng-dev,
 texlive-extra-utils
Standards-Version: 3.9.4
Homepage: http://web.archive.org/web/20071226080243/http://bachue.com/matanza/
Vcs-Git: git://anonscm.debian.org/pkg-games/matanza.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/matanza.git

Package: matanza
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 telnet | telnet-ssl | inetutils-telnet | putty | telnet-client
Description: Space ascii war game
 Matanza is a multiplayer game.  In it, every player controls a ship cruising
 in space, aiming to destroy the other players (and, eventually, ships
 controled by the computer).

=== debian/watch ===
#version=3
#http://bachue.com/matanza/matanza-([\d.]*)\.tar\.gz debian uupdate

## matanza 0.13+ds2

=== debian/changelog ===
matanza (0.13+ds2-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 13:32:22 +0000

matanza (0.13+ds2-2) unstable; urgency=medium

  * Team upload.
  * Set Rules-Requires-Root: no
  * Change telnet recommendation (Closes: #1016860)

  [ Patrice Duroux ]
  * Fix FTBFS with GCC 14 (Closes: #1075255)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Nov 2024 18:31:11 +0100
